## org.eclipse.papyrus.emf.facet.query.ocl.metamodel.oclquery.util
Class OclQuerySwitch<T>

    java.lang.Object
      org.eclipse.papyrus.emf.facet.query.ocl.metamodel.oclquery.util.OclQuerySwitch<T>

    public class OclQuerySwitch<T>

extends java.lang.Object

The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.

See Also:
  `OclQueryPackage`
Generated:

Constructor Summary
`OclQuerySwitch()` Creates an instance of the switch.

Method Summary
`T` `caseOclQuery(OclQuery object)` Returns the result of interpreting the object as an instance of 'Ocl Query'.
`T` `caseQuery(Query object)` Returns the result of interpreting the object as an instance of 'Query'.
`T` `defaultCase(EObject object)` Returns the result of interpreting the object as an instance of 'EObject'.
`T` `doSwitch(EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OclQuerySwitch

    public OclQuerySwitch()

  Creates an instance of the switch.

  Generated:

Method Detail

### doSwitch

    public T doSwitch(EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.
  Generated:

### caseOclQuery

    public T caseOclQuery(OclQuery object)

  Returns the result of interpreting the object as an instance of 'Ocl Query'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Ocl Query'.
  See Also:
    `doSwitch(EObject)`
  Generated:

### caseQuery

    public T caseQuery(Query object)

  Returns the result of interpreting the object as an instance of 'Query'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Query'.
  See Also:
    `doSwitch(EObject)`
  Generated:

### defaultCase

    public T defaultCase(EObject object)

  Returns the result of interpreting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'EObject'.
  See Also:
    `#doSwitch(org.eclipse.emf.ecore.EObject)`
  Generated: